can't find libX11.so.6 !!!

can't find libX11.so.6 !!!

Post by Sean Ril » Fri, 24 Feb 1995 03:11:58



Hi,

I am trying to install from the Infomagic CDs of Linux.

When installing the "X" disks, and trying to start X, I keep getting
a message:

        Cant find libX11.so.6 (or something similar).

And it's right! Even in the X11R6 directories, there is only libX11.so.4
and libX11.so.3.

I tried making libX11.so.6 a link to one of these but it then complains about
versions and still wants version 6.

What am I doing wrong!?!?  Where is this elusive file?

Help much appreciated,

Sean
--
+------------------------------------------------------------------+
| Sean Riley - Australian in the U.S.A.                            |
+-------------------------------------+----------------------------+
| No genetically-enhanced laboratory  | #include <std_disclaimer.h>|
| animals were exposed to bright      | #include <ASCII_art.h>     |
| lights in the making of this message| #include <obscure_quote.h> |
+-------------------------------------+----------------------------+

 
 
 

1. can't find library 'libX11.so.6'?

I'm trying to play binary distribution of xjewel.

as I ran it, it said "can't find library 'libX11.so.6'".

What is it that I need to do to make it work

on my system.

Any help will be appreciated.

Sincerely yours,

heejoon.

I've checked my

/usr/X11/lib and found

I have

lrwxrwxrwx   1 root     root           15 Nov 28 15:25 libX11.so.3 -> libX11.so.3.1.0*

Do I need to replace this one with new one??

--
Heejoon Park                                            
Univ.of Illinois at Urbana-Champaign      

http://www.cen.uiuc.edu/~hp8825                           Phone:1-217-332-5386

2. NFS vs eth0

3. "can't find library 'libX11.so.6'"

4. error loading libXm.so.6 HELP!!!

5. xinit: cant't find library 'libX11.so.6'

6. So, why is it 2.0 and not 1.4?

7. can't find 'libX11.so.3'

8. file open count?

9. ??? about "can't find library 'libX11.so.6'"

10. xinit: cannot find file 'libX11.so.6'

11. libX11.so.6 -link there but 'cannot find' error

12. Can't find libX11.so.6 orlibXt.so.6 or... in new XFree86 3.1 install

13. Why can't gcc find libX11.so.6?